<?php 

include_once('../conexao.php');

$postjson = json_decode(file_get_contents('php://input'), true);

$limite = (isset($_GET['limite'])) ? $_GET['limite'] : 5; 
$pagina = (isset($_GET['pagina'])) ? $_GET['pagina'] : 1; 

$inicio = ($limite * $pagina) - $limite; 

$query = $pdo->prepare("SELECT * FROM funcionarios ORDER BY id DESC LIMIT $inicio, $limite");

$query->execute();

$res = $query->fetchAll(PDO::FETCH_ASSOC);


for ($i=0; $i < count($res); $i++) { 

    $data_admissao = $res[$i]['data_admissao'];
    $data_admissaoF = implode('/', array_reverse(explode('-', $data_admissao)));
    $cargo = $res[$i]['cargo'];

        $query2 = $pdo->query("SELECT * FROM cargos where id = '$cargo'");
        $res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
        if(@count($res2) > 0){
            $nome_cargo = $res2[0]['nome'];
        }else{
            $nome_cargo = 'Sem Cargo';
        }

    $dados[] = array(
        'id' => $res[$i]['id'],
        'nome' => $res[$i]['nome'],
        'telefone' => $res[$i]['telefone'],
        'cpf' => $res[$i]['cpf'],
        'email' => $res[$i]['email'],
        'endereco' => $res[$i]['endereco'],
        'cargo' => $res[$i]['cargo'],
        'data_admissao' => $data_admissao,
        'data_admissaoF' => $data_admissaoF,
        'obs' => $res[$i]['obs'],
        'creci' => $res[$i]['creci'],
        'foto' => $res[$i]['foto'],
        'ativo' => $res[$i]['ativo'],
        'banco' => $res[$i]['banco'],
        'tipo' => $res[$i]['tipo'],
        'conta' => $res[$i]['conta'],
        'agencia' => $res[$i]['agencia'],
        'pix' => $res[$i]['pix'],
        'nome_cargo' => $nome_cargo,
    );

}


if(count($res) > 0){
    $result = json_encode(array('success'=>true, 'resultado'=>@$dados, 'totalItems'=>@count($dados) + ($inicio)));
}else{
    $result = json_encode(array('success'=>false, 'resultado'=>'0'));
}

echo $result;

?>